library smtpman;

import 'package:http/http.dart' as http;

import 'package:flutter/material.dart';

class SmtpMan {
  static String? host_;
  static String? username_;
  static String? password_;
  static int? port_;
  static String? name_;
  static bool? authentication_;
  static String? secure_;
  static String? mailto_;
  static String? subject_;
  static String? body_;
  static bool? html_;

  setServer({host, username, password, authentication, port, secure}) {
    host_ = host;
    username_ = username;
    password_ = password;
    authentication_ = authentication;
    port_ = port;
    secure_ = secure;
  }

  receipt({senderName, sendToEmail, subject, body, html}) {
    name_ = senderName;
    mailto_ = sendToEmail;
    subject_ = subject;
    body_ = body;
    html_ = html;
  }

  Future<bool> send() async {
    Map<String, String> data = new Map();
    data['host'] = host_.toString();
    data['username'] = username_.toString();
    data['password'] = password_.toString();
    data['port'] = port_.toString();
    data['name'] = name_.toString();
    data['auth'] = authentication_.toString();
    data['secure'] = secure_.toString();
    data['mailto'] = mailto_.toString();
    data['subject'] = subject_.toString();
    data['body'] = body_.toString();
    data['html'] = html_.toString();

    debugPrint("mail send process started...");
    var url = Uri.parse('http://smtpman-sender.herokuapp.com');
    var response = await http.post(url, body: data);
    if (response.statusCode == 200) {
      return true;
    } else {
      return false;
    }
  }
}
